- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
libwps_internal.cpp File Reference
`#include <iomanip>`
`#include <sstream>`
`#include <string>`
`#include <stdlib.h>`
`#include <libwpd/libwpd.h>`
`#include "libwps_internal.h"`

## Namespaces
namespace | libwps

## Functions
uint8_t | libwps::readU8 (WPXInputStream *input)
int8_t | libwps::read8 (WPXInputStream *input)
uint16_t | libwps::readU16 (WPXInputStream *input)
int16_t | libwps::read16 (WPXInputStream *input)
uint32_t | libwps::readU32 (WPXInputStream *input)
int32_t | libwps::read32 (WPXInputStream *input)
bool | libwps::readData (WPXInputStreamPtr &input, unsigned long size, WPXBinaryData &data)
bool | libwps::readDataToEnd (WPXInputStreamPtr &input, WPXBinaryData &data)
std::string | libwps::numberingTypeToString (NumberingType type)
std::ostream & | operator<< (std::ostream &o, WPSFont const &ft)
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSFont const & | ft
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border
| ) |  |